%define oname   geoip

Name:       ruby-%{oname}
Version:    1.2.0
Release:    %mkrel 3
Summary:    Searches a GeoIP database for a given host or IP address
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/cjheath/geoip
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
GeoIP searches a GeoIP database for a given host or IP address, and
returns information about the country where the IP address is allocated,
and the city, ISP and other information, if you have that database version.

%files
%{_bindir}/geoip
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 1.2.0-3.mga3
+ Revision: 395995
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 380913
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 1.2.0-1.mga3
+ Revision: 312581
- new version 1.2.0

* Sun Feb 13 2011 shikamaru <shikamaru> 1.0.0-1.mga1
+ Revision: 51265
- imported package ruby-geoip

